Summary:	X.org null input driver
Summary(pl.UTF-8):	Pusty sterownik wejściowy X.org
Name:		xorg-driver-input-void
Version:	1.4.0
Release:	8
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/driver/xf86-input-void-%{version}.tar.bz2
# Source0-md5:	93821f21e807260b05431c62437a8b32
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-proto-xproto-devel
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRequires:	xorg-xserver-server-devel >= 1.9.99.1
BuildRequires:	rpmbuild(macros) >= 1.389
%{?requires_xorg_xserver_xinput}
Requires:	xorg-xserver-server >= 1.9.99.1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X.org dummy/null input driver. It doesn't connect to any physical
device, and it never delivers any events. It functions as both a
pointer and keyboard device, and may be used as X server's core
pointer and/or core keyboard. It's purpose is to allow the X server to
operate without a core pointer and/or core keyboard.

%description -l pl.UTF-8
Pusty sterownik wejściowy X.org. Nie łączy się z żadnym urządzeniem
fizycznym i nie dostarcza żadnych zdarzeń. Działa zarówno jako
urządzenie wskazujące jak i klawiatura; może być używany jako główne
urządzenie wskazujące i/lub główna klawiatura serwera X. Jego celem
jest umożliwienie działania serwera X bez głównego urządzenia
wskazujacego i/lub głównej klawiatury.

%prep
%setup -q -n xf86-input-void-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/xorg/modules/*/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%attr(755,root,root) %{_libdir}/xorg/modules/input/void_drv.so
%{_mandir}/man4/void.4*
%changelog
* Thu Jul 17 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-driver-input-void.git;a=log;h=master

* Thu Jul 17 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> dd6a5cd
- xserver rebuild
- release 8 (by relup.sh)

* Thu Jul 17 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> fde6998
- xserver rebuild
- release 7 (by relup.sh)

* Fri Jan 03 2014 Jan Rękorajski <baggins@pld-linux.org> 8f98a3f
- release 6 (by relup.sh)

* Mon Mar 11 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> f51e0d2
- release 5 (by relup.sh)

* Thu Sep 06 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 20b6a07
- release 4 (by relup.sh)

* Mon Mar 05 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> e3e6dcc
- release 3

* Sat Aug 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 65026ae
- release 2

* Fri May 06 2011 Jakub Bogusz <qboosh@pld-linux.org> 98736eb
- updated to 1.4.0

* Sun Feb 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> d56f687
- release 2

* Sun Oct 31 2010 Jakub Bogusz <qboosh@pld-linux.org> 6e79a76
- updated to 1.3.1

* Sun Aug 29 2010 Jakub Bogusz <qboosh@pld-linux.org> d7594b7
- added README to docs
- updated deps

* Sat Aug 21 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> f1270c6
- release 4

* Fri Apr 02 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 6da5a99
- release 3

* Fri Oct 02 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> a765991
- release 2

* Fri Sep 11 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> b8a3d1c
- up to 1.3.0

* Wed Feb 25 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> b791539
- up to 1.2.0

* Wed Feb 25 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 9f5008c
- release 3

* Tue Jul 01 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 01358b9
- release 2

* Fri Sep 07 2007 Jakub Bogusz <qboosh@pld-linux.org> 3af25ba
- updated to 1.1.1

* Thu Sep 06 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 5453c49
- rebuilding for new xserver

